agent evidence
Evaluate an agent evidence policy gate
Requires scopes: traces:write
POST
/
api
/
agent-evidence
/
policy
/
evaluate
Evaluate an agent evidence policy gate
curl --request POST \
--url https://evalgate.com/api/agent-evidence/policy/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"sideEffectClass": "draft",
"profileKey": "<string>",
"environment": "<string>",
"manifestHash": "<string>",
"runtimeKey": "<string>",
"connectorKey": "<string>",
"approvalState": "<string>",
"runtimeRiskTier": "low",
"connectorRiskTier": "low",
"expectedManifestHash": "<string>",
"links": {
"aiSystemId": 123,
"runtimeId": 123,
"connectorId": 123,
"toolInvocationEvidenceId": 123,
"sideEffectLedgerId": 123
}
}
'import requests
url = "https://evalgate.com/api/agent-evidence/policy/evaluate"
payload = {
"action": "<string>",
"sideEffectClass": "draft",
"profileKey": "<string>",
"environment": "<string>",
"manifestHash": "<string>",
"runtimeKey": "<string>",
"connectorKey": "<string>",
"approvalState": "<string>",
"runtimeRiskTier": "low",
"connectorRiskTier": "low",
"expectedManifestHash": "<string>",
"links": {
"aiSystemId": 123,
"runtimeId": 123,
"connectorId": 123,
"toolInvocationEvidenceId": 123,
"sideEffectLedgerId": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
sideEffectClass: 'draft',
profileKey: '<string>',
environment: '<string>',
manifestHash: '<string>',
runtimeKey: '<string>',
connectorKey: '<string>',
approvalState: '<string>',
runtimeRiskTier: 'low',
connectorRiskTier: 'low',
expectedManifestHash: '<string>',
links: {
aiSystemId: 123,
runtimeId: 123,
connectorId: 123,
toolInvocationEvidenceId: 123,
sideEffectLedgerId: 123
}
})
};
fetch('https://evalgate.com/api/agent-evidence/policy/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"decision": "unknown",
"severity": "low",
"requiresHumanApproval": true,
"blockDeployment": true,
"reasons": [
"<string>"
],
"policyVersion": "<string>",
"inputHash": "<string>"
},
"decision": {
"input": {
"schemaVersion": 123,
"context": {},
"question": "<string>"
},
"decision": "<string>",
"severity": "<string>",
"reasonCode": "<string>",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {
"schemaVersion": 123
},
"aiSystemId": 123,
"reason": "<string>",
"inputHash": "<string>",
"policyVersion": "<string>",
"question": "<string>",
"decidedAt": "2023-11-07T05:31:56Z",
"permissionProfileId": 123,
"evidenceItemIds": [
123
],
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"rawEventId": 123,
"toolInvocationEvidenceId": 123,
"sideEffectLedgerId": 123,
"decisionKey": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
sideEffectClass
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>Option 11 · enum<string>Option 12 · enum<string>Option 13 · enum<string>Option 14 · enum<string>Option 15 · enum<string>Option 16 · enum<string>Option 17 · enum<string>
required
Available options:
draft runtimeRiskTier
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
low connectorRiskTier
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
low Show child attributes
Show child attributes
⌘I
Evaluate an agent evidence policy gate
